#
# spec file for package colord-kde
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           colord-kde
Version:        0.5.0
Release:        bp154.2.34
Summary:        KDE interfaces and session daemon to colord
License:        GPL-2.0-or-later
Group:          System/GUI/KDE
URL:            https://invent.kde.org/graphics/colord-kde
Source0:        https://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:  extra-cmake-modules
BuildRequires:  pkgconfig
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5ItemViews)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5WidgetsAddons)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(xcb-randr)
BuildRequires:  pkgconfig(xrandr)
Requires:       colord
Recommends:     %{name}-lang
# Enable calibrate functional if gnome-color-manager installed
Suggests:       gnome-color-manager

%description
Colord-kde provides KCM module and KDE daemon module for colord support.

%lang_package

%prep
%setup -q

%build
%cmake_kf5 -d build
%cmake_build

%install
%kf5_makeinstall -C build

%find_lang %{name}

%files
%license COPYING
%doc MAINTAINERS TODO
%{_kf5_bindir}/%{name}-icc-importer
%{_kf5_applicationsdir}/colordkdeiccimporter.desktop
%{_kf5_plugindir}/*.so
%{_kf5_servicesdir}/kcm_colord.desktop
%dir %{_kf5_servicesdir}/kded
%{_kf5_servicesdir}/kded/colord.desktop

%files lang -f %{name}.lang

%changelog
* Thu Apr 22 2021 Christophe Giboudeaux <christophe@krop.fr>
- Update URL
- Spec cleanup
* Sun Oct 23 2016 wbauer@tmo.at
- Update to version 0.5.0
  * ported to KF5
- Drop upstreamed colord-cmake34.patch
- Add -lang sub package
* Wed Feb 24 2016 cgiboudeaux@gmx.com
- Add colord-cmake34.patch. Include files containing the
  functions used by the build system.
* Tue Jul 16 2013 hrvoje.senjan@gmail.com
- Downgrade gnome-color-manager to Suggests, instead of Recommends
* Thu May  2 2013 hrvoje.senjan@gmail.com
- Update to version 0.3.0
  * New translations
  * Fix setting an ICC profile while KDE SC is starting
  * Fix setting the ICC_PROFILE X atom that applications like Krita,
    digikam, gimp use
  * Add a mimetype handler to handle ICC profile files
  * Handle the talk with colord using auto generated classes from XML
    interface
  * Improved support for colord 0.8
  * Improved information about why the calibration button is disabled
  * Moved the code that scans and parse ICC profiles to a thread so we
    don’t block the main KDED process
- Added liblcms2-devel BuildRequires
* Tue Nov 20 2012 nico.kruber@gmail.com
- Fix the SLES build (%%make_install is not expanded on SLES)
* Tue May 22 2012 mlin@suse.com
- initial import from version 0.2.0
